Subject: Taxidermist's fleshing machine

From: kmm
Date: Tue, 26 Mar 96 07:35:46 GMT

Well established taxidermy business in New Brunswick, Canada, has five year 
old "Quebec" brand flehsing machine for sale - $800 plus shipping or best 
offer - being sold as new machine purchased due to expansion of business - 
excellent condition.  For details contact [email-masked]